# Generated by Django 4.2.9 on 2024-01-03 13:48

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('resint', '0009_managed_by_app_label'),
    ]

    operations = [
        migrations.AlterModelManagers(
            name='livedocument',
            managers=[
            ],
        ),
        migrations.AlterModelManagers(
            name='poster',
            managers=[
            ],
        ),
        migrations.AlterModelManagers(
            name='postergroup',
            managers=[
            ],
        ),
        migrations.RemoveConstraint(
            model_name='poster',
            name='unique_site_week_year',
        ),
        migrations.RemoveConstraint(
            model_name='postergroup',
            name='unique_site_name',
        ),
        migrations.RemoveConstraint(
            model_name='postergroup',
            name='unique_site_slug',
        ),
    ] + [
        migrations.RunSQL(
            f"ALTER TABLE resint_{model_name} drop column if exists site_id;"
        ) for model_name  in
        [
            "postergroup",
            "poster",
            "livedocument",
        ]
    ] +  [
        migrations.AlterField(
            model_name='postergroup',
            name='name',
            field=models.CharField(max_length=255, unique=True, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='postergroup',
            name='publishing_day',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Monday'), (1, 'Tuesday'), (2, 'Wednesday'), (3, 'Thursday'), (4, 'Friday'), (5, 'Saturday'), (6, 'Sunday')], verbose_name='Publishing weekday'),
        ),
        migrations.AlterField(
            model_name='postergroup',
            name='slug',
            field=models.SlugField(help_text="If you use 'example', the filename will be 'example.pdf'.", unique=True, verbose_name='Slug used in URL name'),
        ),
        migrations.AddConstraint(
            model_name='poster',
            constraint=models.UniqueConstraint(fields=('week', 'year', 'group'), name='unique_week_year_group'),
        ),
    ]
